// importing the json libraries for creating map
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

// connecting the json data using the below link.
const Url = 'https://gist.githubusercontent.com/Snigdha6698/250ee55582143249b2dba1294a4c9f29/raw/8b789e0fcee44afeca907b8fab758dfd8e5cea7c/ice8%2520country.json';
export const useData = () => {//if the dataset is null
  const [data, setData] = useState(null);
// for displaying the map correctly
  useEffect(() => {
    json(Url).then(topology => {
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};


